    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.rmi.server.RMIClassLoader

    java.lang.Object
       |
       +----java.rmi.server.RMIClassLoader

public class RMIClassLoader
extends Object

The RMIClassLoader class provides static methods for loading classes over the network. Classes can be loaded from either a particular URL, or from the URL specified in the java.rmi.server.codebase system property.

##

getSecurityContext(ClassLoader)
  Returns the security context of the given class loader
loadClass(String)
  Load a class from the URL specified in the java.rmi.server.codebase property.
loadClass(URL, String)
  Load a class from a URL.

##

loadClass

     public static Class loadClass(String name) throws MalformedURLException, ClassNotFoundException

  Load a class from the URL specified in the java.rmi.server.codebase property.

  Parameters:
    name - the name of the class to load
  Returns:
    the Class object representing the loaded class
  Throws: MalformedURLException
    The system property java.rmi.server.codebase does not contain a valid URL.
  Throws: ClassNotFoundException
    A definition for the class could not be found at the codebase URL.

loadClass

     public static Class loadClass(URL codebase,
                                   String name) throws MalformedURLException, ClassNotFoundException

  Load a class from a URL.

  Parameters:
    codebase - the URL from which to load the class
    name - the name of the class to load
  Returns:
    the Class object representing the loaded class
  Throws: MalformedURLException
    The codebase paramater was null.
  Throws: ClassNotFoundException
    A definition for the class could not be found at the specified URL.

getSecurityContext

     public static Object getSecurityContext(ClassLoader loader)

  Returns the security context of the given class loader

  Parameters:
    loader - a class loader from which to get the security context
  Returns:
    the security context (e.g., a URL)

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.